- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks/list#body.ListContentPacksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks/list#body.aspect_1)

**Full name**: projects.locations.instances.contentHub.contentPacks.list

Lists `ContentPacks` available in the Content Hub. Use this method to browse both commercial and custom use case packages. Supports filtering by `category` or `title`.

### HTTP request

`GET https://{endpoint}/v1/{parent}/contentPacks`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list ContentPacks for. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub/contentPacks |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of ContentPacks to return. The service may return fewer than this value. If unspecified, at most 10 ContentPacks will be returned. |
| `pageToken` | `string` Optional. A page token, received from a previous `contentPacks.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` Optional. Filter to be applied over multiple ContentPack fields. |
| `orderBy` | `string` Optional. Order by specifier for the list request. |
| `expand` | `string` Optional. Expend the response with the full content pack details. |

### Request body

The request body must be empty.

### Response body

Response message for list of ContentPacks.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "contentPacks": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks#ContentPack`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `contentPacks[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.contentPacks#ContentPack`)`` The list of ContentPacks. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Output only. Total number of content packs. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.contentPacks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).